package com.yihu.wlyy.entity.doctor.team.admin;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author Sand
 */
@Entity
@Table(name = "dr_admin_team_function")
public class AdminTeamFunction extends IdEntity {
    private String name;
    private String code;
    private boolean avaliable;
    private Date createTime;
    private String creator;
    private String remarks;

    public String getName() {
        return name;
    }

    @Column(name = "name")
    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    @Column(name = "code")
    public void setCode(String code) {
        this.code = code;
    }

    public boolean isAvaliable() {
        return avaliable;
    }

    @Column(name = "avaliable")
    public void setAvaliable(boolean avaliable) {
        this.avaliable = avaliable;
    }

    public Date getCreateTime() {
        return createTime;
    }

    @Column(name = "create_time")
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreator() {
        return creator;
    }

    @Column(name = "creator")
    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getRemarks() {
        return remarks;
    }

    @Column(name = "remarks")
    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
}
